Package: grails.web

## [Java] Annotation Type Action

- grails.web.Action

-     @java.lang.annotation.Retention(RetentionPolicy.RUNTIME)
      @java.lang.annotation.Target({ElementType.METHOD})
      public @interface Action

  An annotation to mark controller methods as actions.

  Authors:
    Stephane Maldini
  Since:
    2.0

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `java.lang.Class<?>[]` | `commandObjects` Default: {}

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Element Detail

    - #### public java.lang.Class<?>[] commandObjects

      Default:
        {}